> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/cards/list-cards-fingerprint/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # List Cards for a Fingerprint GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/cards/fingerprints/{Fingerprint} Retrieve all Card objects with the same `Fingerprint` value. This can be useful to detect abnormal or fraudulent behavior. Reference: https://docs.mangopay.com/api-reference/cards/list-cards-fingerprint ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `Fingerprint` (string, required) — The unique representation of the card number. This string can be used to track the card behavior while keeping the card information confidential. ## Response ### 200 Success - `Array (Cards)` (list of ListCardsForAFingerprintResponseArrayCardsItems, optional) — The list of the cards created by the platform. ## Types ### ListCardsForAFingerprintResponseArrayCardsItems - `Card` (ListCardsForAFingerprintResponseArrayCardsItemsCard, optional) — The card object created by the platform. ### ListCardsForAFingerprintResponseArrayCardsItemsCard The card object created by the platform. - `ExpirationDate` (string, optional) — The expiration date of the card. - `Alias` (string, optional) — The card number, partially obfuscated. - `CardType` (string, optional) — **Returned values:** `CB_VISA_MASTERCARD`, `AMEX`, `MAESTRO`, `BCMC` **Default value:** `CB_VISA_MASTERCARD` The type of the card. If not supplied, the default value will be taken into account. - `CardProvider` (string, optional) — **Allowed values:** `CB`, `VISA`, `MASTERCARD`, `AMEX`, `MAESTRO`, `BCMC`, `JCB`, `DISCOVER` The provider of the card. - `Country` (string, optional) — The country of the card (which is the same as the country of the issuer). - `BankCode` (string, optional) — The name of the card issuing bank. - `Active` (boolean, optional) — Whether the card is active or not. Setting this parameter to `false` is irreversible and should be done once the pay-in is successful. - `Currency` (string, optional) — **Returned values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the card. - `Validity` (string, optional) — **Returned values:** `UNKNOWN`, `VALID`, `INVALID` Whether the card is valid or not. - `UNKNOWN` – No payment or card validation has been processed, so the validity of the card remains unknown. - `VALID` – The first payment or card validation using the card was processed successfully within 24 hours of the initial card registration. - `INVALID` – The first payment or card validation using the card was attempted and failed, or the status of the corresponding card registration was `CREATED` for more than 24 hours. Once a card is set to `INVALID`, it cannot be set back to `VALID`. A new card registration will be necessary to make a payment. - `UserId` (string, optional) — The unique identifier of the user the card belongs to. - `Id` (string, optional) — The unique identifier of the Card object. - `Tag` (string, optional) — Max. length: 255 characters Custom data added to this object. This value is inherited from the Card Registration object and cannot be edited. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `Fingerprint` (string, optional) — The unique representation of the card number. This string can be used to track the card behavior while keeping the card information confidential. ## Examples **Response** ```json [ { "Active": true, "Alias": "497010XXXXXX8183", "BankCode": "unknown", "CardHolderName": "Jody Smith", "CardProvider": "VISA", "CardType": "CB_VISA_MASTERCARD", "Country": "FRA", "CreationDate": 1715687466, "Currency": "EUR", "ExpirationDate": "1229", "Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d", "Id": "card_m_01HXVF29TMRSTBRE11RY6EY6PT", "Product": "I", "Tag": null, "UserId": "user_m_01HWQ0VWBTFSWCPF29SR3E7PK9", "Validity": "UNKNOWN" }, { "Active": true, "Alias": "497010XXXXXX8183", "BankCode": "unknown", "CardHolderName": "Alex Smith", "CardProvider": "VISA", "CardType": "CB_VISA_MASTERCARD", "Country": "FRA", "CreationDate": 1715685590, "Currency": "EUR", "ExpirationDate": "1229", "Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d", "Id": "card_m_01HXVD91R8QEDY7MYC8TX9R9M8", "Product": "I", "Tag": null, "UserId": "user_m_01HWWPNMR93ASQYJEH6XVDW44T", "Validity": "UNKNOWN" } ] ``` **SDK Code** ```python from pprint import pprint import mangopay mangopay.client_id='your-client-id' mangopay.apikey='your-api-key' from mangopay.api import APIRequest handler = APIRequest(sandbox=True) from mangopay.resources import Card fingerprint = '48d63bbcfc2c47fcbc19df35e47b2f8d' cards = Card.get_by_fingerprint(fingerprint) for card in cards: pprint(vars(card)) ``` ```javascript const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-client-id', clientApiKey: 'your-api-key', }) let myCard = { fingerprint: '48d63bbcfc2c47fcbc19df35e47b2f8d', } const listCardsFingerprint = async (fingerprint) => { return await mangopay.Cards.getByFingerprint(fingerprint) .then((response) => { console.info(response) return response }) .catch((err) => { console.log(err) return false }) } listCardsFingerprint(myCard.fingerprint) ``` ```csharp using MangoPay.SDK; using Newtonsoft.Json; class Program { static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var fingerprint = "48d63bbcfc2c47fcbc19df35e47b2f8d"; var userCards = await api.Cards.GetCardsByFingerprintAsync(fingerprint, null, null); string prettyPrint = JsonConvert.SerializeObject(userCards, Formatting.Indented); Console.WriteLine(prettyPrint); } } ``` ```php Config->ClientId = 'your-client-id'; $api->Config->ClientPassword = 'your-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $fingerprint = '36c74d2e60ba474eab6d6f6d46a642b0'; $response = $api->Cards->GetByFingerprint($fingerprint); print_r($response); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ``` ```ruby require 'mangopay' MangoPay.configure do |client| client.preproduction = true client.client_id = 'your-client-id' client.client_apiKey = 'your-api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end def listFingerprintCards(fingerprint) begin response = MangoPay::Card.get_by_fingerprint(fingerprint) puts response return response rescue MangoPay::ResponseError => error puts "Failed to fetch cards for fingerprint: #{error.message}" puts "Error details: #{error.details}" return false end end myCard = { Fingerprint: '36c74d2e60ba474eab6d6f6d46a642b0', } listFingerprintCards(myCard[:Fingerprint]) ```